MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003715ATutorAdminpublic2009-02-23 05:002016-06-30 17:43
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.2.2 
Summary0003715: additional name formats
DescriptionJapanese, and other languages, present last name first. Some of the following formats could be added.

http://www.atutor.ca/view/2/16741/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#ab95d87..428be1e
Attached Files

- Relationships

-  Notes
(0003490)
IndieRect (reporter)
2009-02-23 05:26
edited on: 2009-02-23 05:28

This has been already reported by me on http://atutor.ca/view/3/8595/1.html [^] (search for "1st name") and later fixed in 0002726 .

This feature gives the translator an ability to order the names in whichever way his/her language requires by just moving %1s, %2s, %3s and %4s placeholders around, dropping them, putting any symbols in between etc. etc. -- as needed.
It far surpasses in flexibility any hardcoded options one could come up with.

That's why I believe that no changes in the code are needed.
Maximum what _may_ be needed is an appropriate note for translators in their docs.

(0007380)
greg (administrator)
2016-03-27 13:48

added lastname firstname display name formats, and accompanying language tokens to lang db
(0007452)
greg (administrator)
2016-06-30 17:43

Close for 2.2.2

- Related Changesets
ATutor: master 428be1ef
Timestamp: 2016-03-27 13:47:20
Author: greg
Details ] Diff ]
3715 added lastname firstname display name formats
mod - include/lib/constants.inc.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2009-02-23 05:00 greg New Issue
2009-02-23 05:00 greg Affects version => SVN
2009-02-23 05:26 IndieRect Note Added: 0003490
2009-02-23 05:28 IndieRect Note Edited: 0003490
2016-01-06 09:57 greg Assigned To => greg
2016-01-06 09:57 greg Status new => acknowledged
2016-03-27 13:48 greg SVN Revision# => ab95d87..428be1e
2016-03-27 13:48 greg Note Added: 0007380
2016-03-27 13:48 greg Status acknowledged => resolved
2016-03-27 13:48 greg Fixed in Version => 2.2.2
2016-03-27 13:48 greg Resolution open => fixed
2016-04-16 16:12 greg Changeset attached => ATutor master 428be1ef
2016-06-30 17:43 greg Note Added: 0007452
2016-06-30 17:43 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker